import dateFilters from './dates.js';
import arrayFilters from './arrays.js';
import excerptFilter from './excerpt.js';
import filterBy from './filterBy.js';
import getPost from './getPost.js';

export default function(eleventyConfig) {
    eleventyConfig.addPlugin(dateFilters);
    eleventyConfig.addPlugin(arrayFilters);
    eleventyConfig.addPlugin(excerptFilter);
    eleventyConfig.addPlugin(filterBy);
    eleventyConfig.addPlugin(getPost);

    eleventyConfig.addFilter('keys', obj => Object.keys(obj))
    eleventyConfig.addFilter('json', obj => JSON.stringify(obj, null, 2));
}