import { EleventyRenderPlugin  } from "@11ty/eleventy";
import markdownPlugin from "./markdown.js";
import rss from "@11ty/eleventy-plugin-rss";
import syntaxHighlight from "@11ty/eleventy-plugin-syntaxhighlight";
import imagePlugin from "./image.js";
import ogImagePlugin from "./og-image.js";

export default function(eleventyConfig) {
	eleventyConfig.addPlugin(syntaxHighlight);
	eleventyConfig.addPlugin(rss);
	eleventyConfig.addPlugin(markdownPlugin);
	eleventyConfig.addPlugin(imagePlugin);
	eleventyConfig.addPlugin(EleventyRenderPlugin);
	eleventyConfig.addPlugin(ogImagePlugin);
}