import EleventyFetch from '@11ty/eleventy-fetch';

const siteId = "4f1be7ef-7fb4-4b08-81f1-68fb807a3063";
const apiKey = process.env.UMAMI_API_KEY;

const postRegex = /^\/post\//;

export default async function(arg) {
    const url = new URL(`https://umami.lewisdale.dev/api/websites/${siteId}/metrics`);
    url.searchParams.append("startAt", 0);
    url.searchParams.append("endAt", Date.now());
    url.searchParams.append("type", "url");
    try {

    const metrics = await EleventyFetch(url.toString(), {
        duration: '1h',
        type: 'json',
        fetchOptions: {
            headers: {
                "Authorization": `Bearer ${apiKey}`,
                "Accept": "application/json"
            },
        },
    })

    return metrics.filter(metric => postRegex.test(metric.x))
        .map(({ x, y }) => ({ post: x, count: y }));
    } catch (e) {
        console.error(e);
        return [];
    }
}