---
title: "Choosing a CMS to use with Eleventy"
date: 2022-12-29T11:37:59
slug: choosing-a-cms-to-use-with-eleventy
tags:
    - eleventy
---
After my last post, I decided that I would in fact start using a CMS, so I took a look at some of the options available to me. My criteria for choosing a CMS were:

- Lightweight
- Easy to setup
- Has markdown editing
- Works with Eleventy
- Can be accessed from devices that aren’t my laptop

The first CMS I came across was one called [Strapi](https://strapi.io/) that looked pretty intriguing, purely because of the configuration capabilities. It looks pretty powerful, and I suspect would be very useful if I was making more complex content than just blog posts. But the setup for it looked a bit more complicated than I have the patience for.

I also considered Wordpress, because to be honest it’s the de-facto standard for a reason. I decided against it purely because of the headache of setting it up to generate an Eleventy site was a bit too much for right now.

In the end, I settled on [Netlify CMS](https://netlifycms.org/). It’s basically a fancy frontend for git - you configure it with your repository, tell it what your content types should look like (e.g. what data should live in the front matter), and it commits files to the repo for you. It was pretty simple to set up, I took some config pointers from [this starter by @surjithctly](https://github.com/surjithctly/neat-starter).

Let’s see how it goes - I might end up moving to Wordpress in the end regardless, or there are platforms like [Contentful](https://contentful.com/), but I like that this is just committing to my repository, so in the end all the files and data are still under my control.

**n.b.** I’ve attempted to configure syndication via IFTTT and Webmentions, so *hopefully* this will get published shortly after I post it

## [Update](https://lewisdale.dev/post/choosing-a-cms-to-use-with-eleventy/#update)

It turns out that Netlify CMS isn’t very well supported anymore - in particular it’s still not mobile-friendly, despite having an open issue for it for 5 years. I’m going to keep an eye out for an alternative.
